<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Time off Jenis</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Time Off Jenis
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Time Off Jenis</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">

        <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Time Off Jenis</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form class="form-horizontal" th:action="@{/setting/timeoff/jenis/save}" th:object="${timeOffJenis}" method="post">
                    <div class="box-body">

                        <div class="form-group">
                            <label for="tahun" class="col-sm-2 control-label">Year</label>

                            <div class="col-sm-10">
                                <select class="form-control select2" name="tahun" id="tahun">
                                    <option th:each="datass : ${listTahun}"
                                            th:selected="(${datass} == ${tahunSelected})"
                                            th:text="${datass.tahun}"
                                            th:value="${datass.tahun}">sdasd</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="timeOffName" class="col-sm-2 control-label">Name</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{timeOffName}" name="timeOffName" id="timeOffName" placeholder="Time Off Jenis">
                                <p th:if="${#fields.hasErrors('timeOffName')}" th:errors="*{timeOffName}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>


                        <div class="form-group">
                            <label for="count" class="col-sm-2 control-label">Day Count</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{count}" name="count" id="count" placeholder="Day Count">
                                <p th:if="${#fields.hasErrors('count')}" th:errors="*{count}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="statusQuota"  class="col-sm-2 control-label">Quota Aktive:</label>
                            <div class="col-sm-10">
                                <input name="statusQuota" id="statusQuota" type="checkbox" class="flat-red" th:field="*{statusQuota}" value="AKTIF" >
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="hitungMasuk"  class="col-sm-2 control-label">Work Day Active:</label>
                            <div class="col-sm-10">
                                <input name="hitungMasuk" id="hitungMasuk" type="checkbox" class="flat-red" th:field="*{hitungMasuk}" value="AKTIF" >
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="tahun" class="col-sm-2 control-label">Blocking</label>

                            <div class="col-sm-4">
                                <select class="form-control select2" name="blockingType" id="blockingType" th:field="*{blockingType}" onchange="cekBc()">
                                    <option th:each="datass : ${blockingType}"
                                            th:text="${datass}"
                                            th:value="${datass}">sdasd</option>
                                </select>
                            </div>
                            <label for="tahun" class="col-sm-2 control-label bc">Day Count limit</label>

                            <div class="col-sm-4">
                                <input type="number" class="form-control bc" th:field="*{blockingCount}" name="blockingCount" id="blockingCount" placeholder="Count">
                            </div>

                        </div>

                        <input type="hidden" name="id" th:field="*{id}">
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">

                        <a th:href="@{/setting/timeoff/jenis}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>


</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })

            var blockingType = document.getElementById("blockingType").value;

            if(blockingType == 'NONE') {
                $(".bc").hide();
            }else{
                $(".bc").show();
            }




        })
    </script>
    <script>
        function cekBc(){
            var blockingType2 = document.getElementById("blockingType").value;
            if(blockingType2 == 'NONE') {
                $(".bc").hide();
            }else{
                $(".bc").show();
            }
        }
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>